/*******************************************************************************

 WINBINDER - A native Windows binding for PHP

 Copyright  2004-2005 Hypervisual - see LICENSE.TXT for details
 Author: Rubem Pechansky (pechansky@hypervisual.com)

 ZEND wrapper for font functions

*******************************************************************************/

//----------------------------------------------------------------- DEPENDENCIES

#include "phpwb.h"

//----------------------------------------------------------- EXPORTED FUNCTIONS

// Creates a font and stores it in the font cache

ZEND_FUNCTION(wb_create_font)
{
    LONG height, color, flags;
    char *name;
    int name_len;

    if(zend_parse_parameters(ZEND_NUM_ARGS() TSRMLS_CC,
	  "sl|ll", &name, &name_len, &height, &color, &flags) == FAILURE)
		return;

	RETURN_LONG(wbCreateFont(name, height, color, flags));
}

// Applies a font to a control

ZEND_FUNCTION(wb_set_font)
{
    LONG pwbo, index, redraw;

    if(zend_parse_parameters(ZEND_NUM_ARGS() TSRMLS_CC,
	  "ll|l", &pwbo, &index, &redraw) == FAILURE)
		return;

	RETURN_BOOL(wbSetControlFont((PWBOBJ)pwbo, index, redraw));
}

//------------------------------------------------------------------ END OF FILE
